--if arg[#arg] == "-debug" then require("mobdebug").start() end

require("states/gameState")
require("states/loadState")
require("states/menuState")
require("states/helpState")
require("states/creditsState")
require("states/levelState")
require("states/gameoverState")
require("design")
require("camera")

state="load"

function love.load()

end

function love.draw()
	if state=="game" then draw_game() end
	if state=="menu" then draw_menu() end
	if state=="load" then draw_load() end
	if state=="help" then draw_help() end
	if state=="level" then draw_level() end
	if state=="gameover" then draw_gameover() end
	if state=="credits" then draw_credits() end
	--love.graphics.print(timer,100,100,0,3)
	--love.graphics.print(enemymode,100,200,0,3)
end

function love.keypressed(key)
	if state=="game" then keypressed_game(key) end
	if state=="menu" then keypressed_menu(key) end
	if state=="level" then keypressed_level(key) end
	if key=="escape" then
		if state=="game" and action~="nothing" then
			action="nothing"
		elseif state=="menu" then
			love.event.quit()
		elseif state=="credits" or state=="help" then
			state="menu"
		end
	end
end

function love.mousepressed(x,y,button)
	if state=="game" then mousepressed_game(x,y,button) end
end

function love.update(deltatime)
	if state=="game" then update_game() end
	dt=deltatime
	mx,my = love.mouse.getPosition()
	if press then press=press-dt*60 end
end