require("warriors")

function draw_load()
	if not font then
		loadtime=0
		
		font2 = love.graphics.newFont("fonts/font2.ttf",32)
		font = love.graphics.newFont("fonts/font.ttf",32)
		font_little = love.graphics.newFont("fonts/font.ttf",16)
		font_verybig = love.graphics.newFont("fonts/font.ttf",64)
		
		pictures = { }
		pictures[1] = love.graphics.newImage("textures/picture1.png")
		pictures["icon_warrior"] = love.graphics.newImage("textures/icons/icon_warrior.png")
		pictures["icon_attack"] = love.graphics.newImage("textures/icons/icon_attack.png")
		pictures["icon_music"] = love.graphics.newImage("textures/icons/icon_music.png")
		pictures["icon_no"] = love.graphics.newImage("textures/icons/icon_no.png")
		pictures["sign"] = love.graphics.newImage("textures/sign.png")
		pictures["actions_body"] = love.graphics.newImage("textures/actions_body.png")
		pictures["actions_head"] = love.graphics.newImage("textures/actions_head.png")
		
		pictures["warrior_Swordman"] = love.graphics.newImage("textures/warriors/warrior_swordmen.png")
		pictures["warrior_Archer"] = love.graphics.newImage("textures/warriors/warrior_archer.png")
		pictures["warrior_King"] = love.graphics.newImage("textures/warriors/warrior_king.png")
		pictures["warrior_Warrior"] = love.graphics.newImage("textures/warriors/warrior_warrior.png")
		pictures["warrior_Crossbow"] = love.graphics.newImage("textures/warriors/warrior_crossbow.png")
		pictures["warrior_Spearman"] = love.graphics.newImage("textures/warriors/warrior_spearman.png")
		pictures["warrior_Dragon"] = love.graphics.newImage("textures/warriors/warrior_dragon.png")
		
		sounds = { }
		sounds["button"] = love.audio.newSource("sounds/button.ogg")
		sounds["fight"] = love.audio.newSource("sounds/fight.ogg")
		sounds["death"] = love.audio.newSource("sounds/death.ogg")
		sounds["running"] = love.audio.newSource("sounds/running.ogg")
		sounds["writing"] = love.audio.newSource("sounds/writing.ogg","static")
		sounds["writing"]:play()
		sounds["writing"]:setLooping(true)
		
		settings = { }
		settings.show_warriors = 1 --1==normal 0==only the selected 2==all 3==the on the pos 4==axy and sxy 5==nothing
		settings.show_attacks = 2
		settings.musik = 1
		settings.autosave = 1
		settings.timer=-1
		
		ax=1
		ay=1
		sx=0
		sy=0
		mx=0
		my=0
		camx=0
		camy=0
		
		team=1
		mode="go"
		action="nothing"
		playermode=0
		selected=1
		enemymode=1
		
		dt=0
		press=0
		exit=false
		fight=false
		winner=" "
		timer=0
		
		world = { }
		world.width=10
		world.height=10
		world.blocksize=80
		
		felder = { }
		for x=1,world.width do
			felder[x] = { }
			for y=1,world.height do
				felder[x][y] = { }
				felder[x][y].team=0 --0=block 1=team1 2=team2
				felder[x][y].typ=0 --0=empty 1=swordmen
				felder[x][y].live=0 --Live of the units
				felder[x][y].area=0 --is in fightingarea
			end
		end
		
		love.keyboard.setKeyRepeat(0.3,0.06)
	end
	
	loadtime=loadtime+dt*15
	
	love.graphics.setColor(150,100,80) --Background
	love.graphics.rectangle("fill",0,0,1000,800)
	
	love.graphics.setFont(font_verybig) --Headline
	design(10,"15 Warriors",165,90,2,200,0,0)
	
	love.graphics.setFont(font2) --story
	local text="Your are the King of a big Kingdom, but one day you lose an imporant battle. Win back your old Kingdom with your remaining 15 warriors. If you win, Luke100000 proram the next Part. But if you lose, Luke100000 program nevertheless the second part. Muhahaha    .  .  .  Play now, the story ends!"
	--Du bist König eines gefallenen Königreiches und musst mit deinen überlebenens Kriegern dein Land zurückerobern. Schafst du es, so programmiert Luke100000
	--15 Warrior Part2, sonst hast du halt verloren
	design(2,string.sub(text, 1, loadtime),20,200,980)
	
	love.graphics.setFont(font) --skip
	design(1,"Press Space for continue",300,750,1,255,200,0)
	
	if love.keyboard.isDown(" ") or love.keyboard.isDown("return") then --Exit
		state="menu"
		love.graphics.setFont(font)
		sounds["button"]:play()
		press=10
		sounds["writing"]:setLooping(false)
	end
	if loadtime>#text or state~="load" then
		sounds["writing"]:stop()
	end
	
end